Update Product Custom Field

Updates a *Custom Field*. **Required Fields** - none **Name-Value Pair Uniqueness** - Every name-value pair must be unique inside a product. **Read-Only** - id **Limits** - 200 custom fields per product limit. - 250 characters per custom field limit.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idstringRequired
custom_field_idstringRequired

Request

This endpoint expects an object.
namestringOptional1-250 characters

The value of the field, shown on the storefront, orders, etc. This field is a requirement for /POST requests.

valuestringOptional1-250 characters

The value of the field, shown on the storefront, orders, etc. This field is a requirement for /POST requests.

Response

Gets Custom field.
dataobject

Gets custom fields associated with a product. These allow you to specify additional information that will appear on the product’s page, such as a book’s ISBN or a DVD’s release date.

metaobject
Response metadata.

Errors

403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
422
Unprocessable Entity Error